Subject: Re: Strange merge output.

From: David Kastrup <[email-masked]>
Date: Thu, 30 Jan 2014 12:24:31 +0100

Vincent Bernardi <[email-masked]> writes:

> Hi,
> I asked about this problem on #git@freenode and someone suggested I
> submit it to this list. I have a case where the output of a merge
> gives a conflict and produces the following file:
>
> Code Block A
> <<<<<<< HEAD
> =======
> Code Block B
>>>>>>>> branch-B
> Code Block B' (similar to code block B but not exactly the same).
>
> Here is what HEAD looks like 
> Code Block A
> Code Block B' 
>
> and branch-B:
> Code Block A
> Code Block B
>
> I thought that taking a conflicted file like above and removing the
> three following lines:
> <<<<<<< HEAD
> =======
>>>>>>>> branch-B
>
> was supposed to produce *exactly* the branch-B version?

No?  It will produce the branch-B version in the conflicted area, but
that does not mean that conflict resolution might not have been done
outside of that area.

-- 
David Kastrup